> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve an amendment

GET https://rest.test.zuora.com/object-query/amendments/{key}

Retrieve the details of a specific Amendment object.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/object-query/object-queries/query-amendment-by-key

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `key` (string, required) — Object ID or Number.

### Query parameters

- `pageSize` (integer, optional, default: 10) — The maximum number of results to return in a single page. If the specified `pageSize` is less than 1 or greater than 99, Zuora will return a 400 error.
- `cursor` (string, optional) — A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with `next_page=W3sib3JkZXJ=`, your subsequent call can include `cursor=W3sib3JkZXJ=` in order to fetch the next page of the list.
- `sort[]` (list of string, optional) — A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. `accountnumber.ASC`) or descending (e.g. `accountnumber.DESC`). You cannot sort on properties in arrays. If the array-type properties are specified for the `sort[]` parameter, they are ignored.
- `expand[]` (list of string, optional) — Allows you to expand responses by including related object information in a single call. The Amendment object does not support expanding any related objects.
- `filter[]` (list of string, optional) — A case-insensitive filter on the list.
- `fields[]` (list of string, optional) — A case-insensitive query parameter that allows you to specify which fields are returned in the response.
- `includeNullFields` (boolean, optional, default: false) — Specifies whether to include fields with the `null` value in the response. - If set to `true`, all fields will be returned in the response, including those with the `null` value. - If set to `false`, only fields with non-null values will be returned.

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `id` (string, optional) — The unique identifier of the amendment.
- `createdById` (string, optional) — The unique identifier of the user who created the amendment.
- `createdDate` (datetime, optional) — The time that the amendment gets created in the system, in the `YYYY-MM-DD HH:MM:SS` format.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the amendment.
- `updatedDate` (datetime, optional) — The time that the amendment gets updated in the system, in the `YYYY-MM-DD HH:MM:SS` format.
- `autoRenew` (boolean, optional) — Indicates whether the amendment is automatically renewed.
- `code` (string, optional) — The amendment code.
- `contractEffectiveDate` (date, optional) — The date when the amendment becomes effective for billing purposes, as `yyyy-mm-dd`.
- `currentTerm` (long, optional) — The length of the period for the current subscription term.
- `currentTermPeriodType` (enum, optional) — The period type for the current subscription term.
  - Allowed values: `Month`, `Year`, `Day`, `Week`
- `customerAcceptanceDate` (date, optional) — The date when the customer accepts the amendment changes to the subscription, as `yyyy-mm-dd`.
- `description` (string, optional) — Description of the amendment.
- `effectiveDate` (date, optional) — The date when the amendment changes take effective.
- `effectivePolicy` (enum, optional) — Effective Policy for the subscription. The value depends on the following conditions: * If the rate plan change (from old to new) is an upgrade, the effective policy is `EffectiveImmediately` by default. * If the rate plan change (from old to new) is a downgrade, the effective policy is `EffectiveEndOfBillingPeriod` by default. * Otherwise, the effective policy is `SpecificDate` by default. **Note:** This feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/).
  - Allowed values: `EffectiveImmediately`, `EffectiveEndOfBillingPeriod`, `SpecificDate`
- `name` (string, optional) — The name of the amendment.
- `newRatePlanId` (string, optional) — The ID of the rate plan charge on which amendment is made. Only the Add or Update amendment returns a new rate plan ID.
- `removedRatePlanId` (string, optional) — The ID of the rate plan charge that is removed from the subscription. Only the Remove Product amendment returns a removed rate plan ID.
- `renewalSetting` (enum, optional) — Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed.
  - Allowed values: `RENEW_WITH_SPECIFIC_TERM`, `RENEW_TO_EVERGREEN`
- `renewalTerm` (long, optional) — The term of renewal for the amended subscription.
- `renewalTermPeriodType` (enum, optional) — The period type for the subscription renewal term.
  - Allowed values: `Month`, `Year`, `Day`, `Week`
- `resumeDate` (date, optional) — The date when the subscription resumption takes effect, as `yyyy-mm-dd`. **Note:** This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/).
- `serviceActivationDate` (date, optional) — The date when service is activated, as `yyyy-mm-dd`.
- `specificUpdateDate` (date, optional) — The date when the Update Product amendment takes effect. Only for the Update Product amendments if there is already a future-dated Update Product amendment on the subscription.
- `status` (enum, optional) — The status of the amendment.
  - Allowed values: `Draft`, `Pending Activation`, `Pending Acceptance`, `Completed`
- `subscriptionId` (string, optional) — The ID of the subscription based on which the amendment is created.
- `suspendDate` (date, optional) — The date when the subscription suspension takes effect, as `yyyy-mm-dd`. **Note:** This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/).
- `termStartDate` (date, optional) — The date when the new terms and conditions take effect.
- `termType` (enum, optional) — Indicates if the subscription is termed or evergreen.
  - Allowed values: `TERMED`, `EVERGREEN`
- `type` (enum, optional) — Type of the amendment.
  - Allowed values: `Cancellation`, `NewProduct`, `OwnerTransfer`, `RemoveProduct`, `Renewal`, `UpdateProduct`, `TermsAndConditions`, `ChangePlan`, `Composite`
- `subType` (enum, optional) — The sub type for the change plan order action. If this field was not set by user, the field is automatically generated by the system according to the following rules: When the old and new rate plans are within the same Grading catalog group: * If the grade of new plan is greater than that of the old plan, this is an "Upgrade". * If the grade of new plan is less than that of the old plan, this is a "Downgrade". * If the grade of new plan equals that of the old plan, this is a "Crossgrade". When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is "PlanChanged".
  - Allowed values: `Upgrade`, `Downgrade`, `Crossgrade`, `PlanChanged`
- `bookingDate` (date, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

### 400 Client Request Error

Invalid input

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

## Types

### CommonOqErrorResponseReasonsItems

- `code` (integer, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "id": "8ad097b49198384c01919d0c08d42c35",
  "createdById": "8ad09fc28193c189018194da28be74ba",
  "createdDate": "2024-08-29T00:31:37-07:00",
  "updatedById": "8ad09fc28193c189018194da28be74ba",
  "updatedDate": "2024-08-29T00:31:37-07:00",
  "code": "A-AM00000553",
  "contractEffectiveDate": "2024-08-29",
  "currentTerm": 12,
  "currentTermPeriodType": "Month",
  "customerAcceptanceDate": "2024-08-29",
  "effectiveDate": "2024-08-29",
  "name": "auto generated",
  "renewalSetting": "RENEW_WITH_SPECIFIC_TERM",
  "renewalTerm": 0,
  "renewalTermPeriodType": "Month",
  "serviceActivationDate": "2024-08-29",
  "status": "Completed",
  "subscriptionId": "8ad08ae29198249d01919d00a4c93b18",
  "termStartDate": "2024-08-29",
  "type": "Cancellation",
  "bookingDate": "2024-08-29"
}
```

**SDK Code**

```python Object Queries_queryAmendmentByKey_example
import requests

url = "https://rest.test.zuora.com/object-query/amendments/key"

querystring = {"fields[]":"[\"id,createddate\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Object Queries_queryAmendmentByKey_example
const url = 'https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Object Queries_queryAmendmentByKey_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Object Queries_queryAmendmentByKey_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Object Queries_queryAmendmentByKey_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Object Queries_queryAmendmentByKey_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Object Queries_queryAmendmentByKey_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Object Queries_queryAmendmentByKey_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/object-query/amendments/key?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```